/* generated javascript */
var skin = 'monobook';
var stylepath = '../../../skins';

/* MediaWiki:Common.js */
/* Any JavaScript here will be loaded for all users on every page load. */

function returnObjById( id ) 
{ 
    if (document.getElementById) 
        var returnVar = document.getElementById(id); 
    else if (document.all) 
        var returnVar = document.all[id]; 
    else if (document.layers) 
        var returnVar = document.layers[id];
    return returnVar; 
}
 
function insertTagsTo_(tagOpen, tagClose, sampleText, outputid) {
	var txtarea = document.getElementById(outputid);
	if (!txtarea)
		return
	;
 
	// IE
	if (document.selection  && !is_gecko) {
		var theSelection = document.selection.createRange().text;
		if (!theSelection)
			theSelection=sampleText;
		txtarea.focus();
		if (theSelection.charAt(theSelection.length - 1) == " ") { // exclude ending space char, if any
			theSelection = theSelection.substring(0, theSelection.length - 1);
			document.selection.createRange().text = tagOpen + theSelection + tagClose + " ";
		} else {
			document.selection.createRange().text = tagOpen + theSelection + tagClose;
		}
 
	// Mozilla
	} else if(txtarea.selectionStart || txtarea.selectionStart == '0') {
		var replaced = false;
		var startPos = txtarea.selectionStart;
		var endPos = txtarea.selectionEnd;
		if (endPos-startPos)
			replaced = true;
		var scrollTop = txtarea.scrollTop;
		var myText = (txtarea.value).substring(startPos, endPos);
		if (!myText)
			myText=sampleText;
		if (myText.charAt(myText.length - 1) == " ") { // exclude ending space char, if any
			subst = tagOpen + myText.substring(0, (myText.length - 1)) + tagClose + " ";
		} else {
			subst = tagOpen + myText + tagClose;
		}
		txtarea.value = txtarea.value.substring(0, startPos) + subst +
			txtarea.value.substring(endPos, txtarea.value.length);
		txtarea.focus();
		//set new selection
		if (replaced) {
			var cPos = startPos+(tagOpen.length+myText.length+tagClose.length);
			txtarea.selectionStart = cPos;
			txtarea.selectionEnd = cPos;
		} else {
			txtarea.selectionStart = startPos+tagOpen.length;
			txtarea.selectionEnd = startPos+tagOpen.length+myText.length;
		}
		txtarea.scrollTop = scrollTop;
	}
	// reposition cursor if possible
	if (txtarea.createTextRange)
		txtarea.caretPos = document.selection.createRange().duplicate();
}



 /** Extra toolbar options ****************************************************** <nowiki>
  *
  *  Description: UNDOCUMENTED
  *  Maintainers: [[User:MarkS]]?, [[User:Voice of All]], [[User:R. Koot]]
  */
 
 //This is a modified copy of a script by User:MarkS for extra features added by User:Voice of All.
 // This is based on the original code on Wikipedia:Tools/Editing tools
 // To disable this script, add <code>mwCustomEditButtons = [];<code> to [[Special:Mypage/monobook.js]]
 
 if (mwCustomEditButtons) {
   mwCustomEditButtons[mwCustomEditButtons.length] = {
     "imageFile": "http://upload.wikimedia.org/wikipedia/en/c/c8/Button_redirect.png",
     "speedTip": "Aanstuur",
     "tagOpen": "#REDIRECT [[",
     "tagClose": "]]",
     "sampleText": "Bladsynaam hier"};
 
   mwCustomEditButtons[mwCustomEditButtons.length] = {
     "imageFile": "http://upload.wikimedia.org/wikipedia/en/c/c9/Button_strike.png",
     "speedTip": "Deurstreep teks",
     "tagOpen": "<s>",
     "tagClose": "</s>",
     "sampleText": "Deurstreep teks"};
 
   mwCustomEditButtons[mwCustomEditButtons.length] = {
     "imageFile": "http://upload.wikimedia.org/wikipedia/en/1/13/Button_enter.png",
     "speedTip": "Lynbreuk",
     "tagOpen": "<br />",
     "tagClose": "",
     "sampleText": ""};
 
   mwCustomEditButtons[mwCustomEditButtons.length] = {
     "imageFile": "http://upload.wikimedia.org/wikipedia/en/8/80/Button_upper_letter.png",
     "speedTip": "Boskrif",
     "tagOpen": "<sup>",
     "tagClose": "</sup>",
     "sampleText": "Boskrif"};
 
   mwCustomEditButtons[mwCustomEditButtons.length] = {
     "imageFile": "http://upload.wikimedia.org/wikipedia/en/7/70/Button_lower_letter.png",
     "speedTip": "Onderskrif",
     "tagOpen": "<sub>",
     "tagClose": "</sub>",
     "sampleText": "Onderskrif"};
 
   mwCustomEditButtons[mwCustomEditButtons.length] = {
     "imageFile": "http://upload.wikimedia.org/wikipedia/en/5/58/Button_small.png",
     "speedTip": "Klein teks",
     "tagOpen": "<small>",
     "tagClose": "</small>",
     "sampleText": "Klein teks"};
 
   mwCustomEditButtons[mwCustomEditButtons.length] = {
     "imageFile": "http://upload.wikimedia.org/wikipedia/en/3/34/Button_hide_comment.png",
     "speedTip": "Verskuilde kommentaar",
     "tagOpen": "<!-- ",
     "tagClose": " -->",
     "sampleText": "Kommentaar"};
 
   mwCustomEditButtons[mwCustomEditButtons.length] = {
     "imageFile": "http://upload.wikimedia.org/wikipedia/en/1/12/Button_gallery.png",
     "speedTip": "Galery",
     "tagOpen": "\n<gallery>\n",
     "tagClose": "\n</gallery>",
     "sampleText": "Beeld:Voorbeeld.jpg|Onderskrif1\nBeeld:Voorbeeld.jpg|Onderskrif2"};
 
   mwCustomEditButtons[mwCustomEditButtons.length] = {
     "imageFile": "http://upload.wikimedia.org/wikipedia/en/f/fd/Button_blockquote.png",
     "speedTip": "Haal aan",
     "tagOpen": "<blockquote>\n",
     "tagClose": "</blockquote>\n",
     "sampleText": "'n Blok aangehaalde teks"};
 
   mwCustomEditButtons[mwCustomEditButtons.length] = {
     "imageFile": "http://upload.wikimedia.org/wikipedia/en/6/60/Button_insert_table.png",
     "speedTip": "Tabel",
     "tagOpen": '{| class="prettytable"\n|-\n',
     "tagClose": "\n|}",
     "sampleText": "! hoof 1\n! hoof 2\n! hoof 3\n|-\n| ry 1, sel 1\n| ry 1, sel 2\n| ry 1, sel 3\n|-\n| ry 2, sel 1\n| ry 2, sel 2\n| ry 2, sel 3"};
 }


/*
== Small search keyboard ==
; Author: Maciej Jaros [[:pl:User:Nux]]
; Licence: CC-BY or [http://opensource.org/licenses/gpl-license.php GNU General Public License v2]

*/
if (wgNamespaceNumber == -1 && wgPageName=="Spesiaal:Search")
{
	addOnloadHook(addSearchKeyboard);
}
 
function addSearchKeyboard() {
	var subEl = returnObjById('results');
	var newEl = document.createElement('div');
	newEl.className = 'search_keyboard';
	newEl.innerHTML = "\
<b>Sleutelbordjie:\
&nbsp;<a onclick=\"insertTagsTo_('ä','','','lsearchbox');return false\" href=\"#\">ä</a>\
<a onclick=\"insertTagsTo_('ç','','','lsearchbox');return false\" href=\"#\">ç</a>\
<a onclick=\"insertTagsTo_('è','','','lsearchbox');return false\" href=\"#\">è</a>\
<a onclick=\"insertTagsTo_('é','','','lsearchbox');return false\" href=\"#\">é</a>\
<a onclick=\"insertTagsTo_('ë','','','lsearchbox');return false\" href=\"#\">ë</a>\
<a onclick=\"insertTagsTo_('ê','','','lsearchbox');return false\" href=\"#\">ê</a>\
<a onclick=\"insertTagsTo_('ï','','','lsearchbox');return false\" href=\"#\">ï</a>\
<a onclick=\"insertTagsTo_('î','','','lsearchbox');return false\" href=\"#\">î</a>\
<a onclick=\"insertTagsTo_('ö','','','lsearchbox');return false\" href=\"#\">ö</a>\
<a onclick=\"insertTagsTo_('ô','','','lsearchbox');return false\" href=\"#\">ô</a>\
<a onclick=\"insertTagsTo_('ü','','','lsearchbox');return false\" href=\"#\">ü</a>\
<a onclick=\"insertTagsTo_('û','','','lsearchbox');return false\" href=\"#\">û</a></b>\
";
	newEl.style.cssText = 'margin-left:25%; width:50%; font-size:small;';
	subEl.parentNode.insertBefore(newEl, subEl);
}

/* MediaWiki:Monobook.js (deprecated; migrate to Common.js!) */
/* tooltips and access keys */
ta = new Object();
ta['pt-userpage'] = new Array('.','My gebruikersblad');
ta['pt-anonuserpage'] = new Array('.','The user page for the ip you\'re editing as');
ta['pt-mytalk'] = new Array('n','My besprekingsblad');
ta['pt-anontalk'] = new Array('n','Discussion about edits from this ip address');
ta['pt-preferences'] = new Array('','My voorkeure');
ta['pt-watchlist'] = new Array('l','Die lys van bladsye wat ek dophou vir wysigings.');
ta['pt-mycontris'] = new Array('y','\'n Lys van my bydraes');
ta['pt-login'] = new Array('o','U word aanbeveel om in te teken, maar dit word nie vereis nie.');
ta['pt-anonlogin'] = new Array('o','U word aanbeveel om in te teken, maar dit word nie vereis nie.');
ta['pt-logout'] = new Array('o','Teken uit');
ta['ca-talk'] = new Array('t','Besprekings rakende die inhoudblad');
ta['ca-edit'] = new Array('e','U kan hierdie bladsy wysig. Gebruik asseblief die "voorskou"-funksie voor u \'n bladsy stoor.');
ta['ca-addsection'] = new Array('+','Voeg kommentaar by hierdie bespreking.');
ta['ca-viewsource'] = new Array('e','Hierdie bladsy is beskerm. U kan wel die bronteks besigtig.');
ta['ca-history'] = new Array('h','Vroeër weergawes van hierdie bladsy.');
ta['ca-protect'] = new Array('=','Beskerm hierdie bladsy');
ta['ca-delete'] = new Array('d','Skrap hierdie bladsy');
ta['ca-undelete'] = new Array('d','Herstel die wysigings aan hierdie bladsy voor dit geskrap was');
ta['ca-move'] = new Array('m','Skuif hierdie bladsy');
ta['ca-watch'] = new Array('w','Voeg hierdie bladsy by u dophoulys');
ta['ca-unwatch'] = new Array('w','Verwyder hierdie bladsy van u dophoulys');
ta['search'] = new Array('f','Soek deur hierdie Wiki');
ta['p-logo'] = new Array('','Tuisblad');
ta['n-mainpage'] = new Array('z','Besoek die Tuisblad');
ta['n-portal'] = new Array('','Nuttige skakels vir enige gebruiker');
ta['n-currentevents'] = new Array('','Meer inligting oor onlangse gebeure');
ta['n-recentchanges'] = new Array('r','\'n Lys van onlangse wysigings in die ensiklopedie');
ta['n-randompage'] = new Array('x','Laai \'n willekeurige bladsy');
ta['n-help'] = new Array('','Hulp.');
ta['n-sitesupport'] = new Array('','Ondersteun hierdie projek');
ta['t-whatlinkshere'] = new Array('j','\'n Lys van alle wiki-bladsye wat hierheen skakel');
ta['t-recentchangeslinked'] = new Array('k','Onlangse wysigings in bladsye waarheen daar vanaf hierdie bladsy geskakel word');
ta['feed-rss'] = new Array('','RSS-voer vir hierdie bladsy');
ta['feed-atom'] = new Array('','Atom-voer vir hierdie bladsy');
ta['t-contributions'] = new Array('','Besigtig die lys van hierdie gebruiker se bydraes');
ta['t-emailuser'] = new Array('','Stuur \'n e-pos aan hierdie gebruiker');
ta['t-upload'] = new Array('u','Laai beelde of medialêers');
ta['t-specialpages'] = new Array('q','\'n Lys van alle spesiale bladsye');
ta['ca-nstab-main'] = new Array('c','Besigtig die inhoudblad');
ta['ca-nstab-user'] = new Array('c','Besigtig die gebruikersblad');
ta['ca-nstab-media'] = new Array('c','Besigtig die mediablad');
ta['ca-nstab-special'] = new Array('','Hierdie is \'n spesiale bladsy, u kan nie self hierdie bladsy wysig nie.');
ta['ca-nstab-wp'] = new Array('a','Besigtig die projekblad');
ta['ca-nstab-image'] = new Array('c','Besigtig die beeldblad');
ta['ca-nstab-mediawiki'] = new Array('c','Besigtig die stelselboodskap');
ta['ca-nstab-template'] = new Array('c','Besigtig die sjabloon');
ta['ca-nstab-help'] = new Array('c','Besigtig die hulpblad');
ta['ca-nstab-category'] = new Array('c','Besigtig die kategorieblad');
 
/* Kom ons steek die voorblad se opskrif weg - dit is sinneloos */
var mpTitle = "Tuisblad";
var isMainPage = (document.title.substr(0, document.title.lastIndexOf(" - ")) == mpTitle);
var isDiff = (document.location.search && (document.location.search.indexOf("diff=") != -1 || document.location.search.indexOf("oldid=") != -1));
 
if (isMainPage && !isDiff) {
document.write('<style type="text/css">/*<![CDATA[*/ #siteSub, #contentSub, h1.firstHeading { display: none !important; } /*]]>*/</style>');
}
 
//Main page tab no longer says article
function mainpg() {
      if ((isMainPage || /[\/=:]Main_Page/.test(document.location)) && document.getElementById('ca-nstab-main')) {
            document.getElementById('ca-nstab-main').firstChild.innerHTML = 'Voorblad';
      }   
}
addOnloadHook(mainpg);